ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.79 by root, Wed Jan 18 15:04:24 2006 UTC vs.
Revision 1.80 by root, Fri Jan 20 10:27:08 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
3051test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}' 3051test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
3052 3052
3053test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644' 3053test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
3054 3054
3055 3055
3056ac_ext=c
3057ac_cpp='$CPP $CPPFLAGS'
3058ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3059ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3060ac_compiler_gnu=$ac_cv_c_compiler_gnu
3061
3062
3063if test -z "$orig_CXXFLAGS"; then
3064 if test x$GCC = xyes && test "x$GXX" = xyes; then
3065 CXXFLAGS="-g -O3"
3066 else
3067 CXXFLAGS="-O"
3068 fi
3069 CFLAGS="$CXXFLAGS"
3070fi
3071
3072LINKER="$CXX"
3073if test x$GCC = xyes && test x$GXX = xyes; then
3074
3075echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3076echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3077if test "${ac_cv_lib_supcpp_main+set}" = set; then
3078 echo $ECHO_N "(cached) $ECHO_C" >&6
3079else
3080 ac_check_lib_save_LIBS=$LIBS
3081LIBS="-lsupc++ $LIBS"
3082cat >conftest.$ac_ext <<_ACEOF
3083/* confdefs.h. */
3084_ACEOF
3085cat confdefs.h >>conftest.$ac_ext
3086cat >>conftest.$ac_ext <<_ACEOF
3087/* end confdefs.h. */
3088
3089
3090int
3091main ()
3092{
3093main ();
3094 ;
3095 return 0;
3096}
3097_ACEOF
3098rm -f conftest.$ac_objext conftest$ac_exeext
3099if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3100 (eval $ac_link) 2>conftest.er1
3101 ac_status=$?
3102 grep -v '^ *+' conftest.er1 >conftest.err
3103 rm -f conftest.er1
3104 cat conftest.err >&5
3105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3106 (exit $ac_status); } &&
3107 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3108 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3109 (eval $ac_try) 2>&5
3110 ac_status=$?
3111 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3112 (exit $ac_status); }; } &&
3113 { ac_try='test -s conftest$ac_exeext'
3114 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3115 (eval $ac_try) 2>&5
3116 ac_status=$?
3117 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3118 (exit $ac_status); }; }; then
3119 ac_cv_lib_supcpp_main=yes
3120else
3121 echo "$as_me: failed program was:" >&5
3122sed 's/^/| /' conftest.$ac_ext >&5
3123
3124ac_cv_lib_supcpp_main=no
3125fi
3126rm -f conftest.err conftest.$ac_objext \
3127 conftest$ac_exeext conftest.$ac_ext
3128LIBS=$ac_check_lib_save_LIBS
3129fi
3130echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3131echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3132if test $ac_cv_lib_supcpp_main = yes; then
3133
3134 LINKER="$CC"
3135 LIBS="$LIBS -lsupc++"
3136
3137fi
3138
3139fi
3140LINKER=$LINKER
3141
3142
3143
3144cat >>confdefs.h <<\_ACEOF
3145#define _GNU_SOURCE 1
3146_ACEOF
3147
3148
3149case $host in
3150 *-*-solaris* )
3151
3152cat >>confdefs.h <<\_ACEOF
3153#define _XOPEN_SOURCE_EXTENDED 1
3154_ACEOF
3155
3156
3157cat >>confdefs.h <<\_ACEOF
3158#define _XOPEN_SOURCE 2
3159_ACEOF
3160
3161
3162cat >>confdefs.h <<\_ACEOF
3163#define __EXTENSIONS__ 1
3164_ACEOF
3165
3166 ;;
3167esac
3168
3169
3170ac_ext=cc
3171ac_cpp='$CXXCPP $CPPFLAGS'
3172ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3173ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3174ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3175
3176
3177
3178ac_ext=cc
3179ac_cpp='$CXXCPP $CPPFLAGS'
3180ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3181ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3182ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3183echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
3184echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
3185if test -z "$CXXCPP"; then
3186 if test "${ac_cv_prog_CXXCPP+set}" = set; then
3187 echo $ECHO_N "(cached) $ECHO_C" >&6
3188else
3189 # Double quotes because CXXCPP needs to be expanded
3190 for CXXCPP in "$CXX -E" "/lib/cpp"
3191 do
3192 ac_preproc_ok=false
3193for ac_cxx_preproc_warn_flag in '' yes
3194do
3195 # Use a header file that comes with gcc, so configuring glibc
3196 # with a fresh cross-compiler works.
3197 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3198 # <limits.h> exists even on freestanding compilers.
3199 # On the NeXT, cc -E runs the code through the compiler's parser,
3200 # not just through cpp. "Syntax error" is here to catch this case.
3201 cat >conftest.$ac_ext <<_ACEOF
3202/* confdefs.h. */
3203_ACEOF
3204cat confdefs.h >>conftest.$ac_ext
3205cat >>conftest.$ac_ext <<_ACEOF
3206/* end confdefs.h. */
3207#ifdef __STDC__
3208# include <limits.h>
3209#else
3210# include <assert.h>
3211#endif
3212 Syntax error
3213_ACEOF
3214if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3215 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3216 ac_status=$?
3217 grep -v '^ *+' conftest.er1 >conftest.err
3218 rm -f conftest.er1
3219 cat conftest.err >&5
3220 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3221 (exit $ac_status); } >/dev/null; then
3222 if test -s conftest.err; then
3223 ac_cpp_err=$ac_cxx_preproc_warn_flag
3224 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3225 else
3226 ac_cpp_err=
3227 fi
3228else
3229 ac_cpp_err=yes
3230fi
3231if test -z "$ac_cpp_err"; then
3232 :
3233else
3234 echo "$as_me: failed program was:" >&5
3235sed 's/^/| /' conftest.$ac_ext >&5
3236
3237 # Broken: fails on valid input.
3238continue
3239fi
3240rm -f conftest.err conftest.$ac_ext
3241
3242 # OK, works on sane cases. Now check whether non-existent headers
3243 # can be detected and how.
3244 cat >conftest.$ac_ext <<_ACEOF
3245/* confdefs.h. */
3246_ACEOF
3247cat confdefs.h >>conftest.$ac_ext
3248cat >>conftest.$ac_ext <<_ACEOF
3249/* end confdefs.h. */
3250#include <ac_nonexistent.h>
3251_ACEOF
3252if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3253 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3254 ac_status=$?
3255 grep -v '^ *+' conftest.er1 >conftest.err
3256 rm -f conftest.er1
3257 cat conftest.err >&5
3258 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3259 (exit $ac_status); } >/dev/null; then
3260 if test -s conftest.err; then
3261 ac_cpp_err=$ac_cxx_preproc_warn_flag
3262 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3263 else
3264 ac_cpp_err=
3265 fi
3266else
3267 ac_cpp_err=yes
3268fi
3269if test -z "$ac_cpp_err"; then
3270 # Broken: success on invalid input.
3271continue
3272else
3273 echo "$as_me: failed program was:" >&5
3274sed 's/^/| /' conftest.$ac_ext >&5
3275
3276 # Passes both tests.
3277ac_preproc_ok=:
3278break
3279fi
3280rm -f conftest.err conftest.$ac_ext
3281
3282done
3283# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3284rm -f conftest.err conftest.$ac_ext
3285if $ac_preproc_ok; then
3286 break
3287fi
3288
3289 done
3290 ac_cv_prog_CXXCPP=$CXXCPP
3291
3292fi
3293 CXXCPP=$ac_cv_prog_CXXCPP
3294else
3295 ac_cv_prog_CXXCPP=$CXXCPP
3296fi
3297echo "$as_me:$LINENO: result: $CXXCPP" >&5
3298echo "${ECHO_T}$CXXCPP" >&6
3299ac_preproc_ok=false
3300for ac_cxx_preproc_warn_flag in '' yes
3301do
3302 # Use a header file that comes with gcc, so configuring glibc
3303 # with a fresh cross-compiler works.
3304 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3305 # <limits.h> exists even on freestanding compilers.
3306 # On the NeXT, cc -E runs the code through the compiler's parser,
3307 # not just through cpp. "Syntax error" is here to catch this case.
3308 cat >conftest.$ac_ext <<_ACEOF
3309/* confdefs.h. */
3310_ACEOF
3311cat confdefs.h >>conftest.$ac_ext
3312cat >>conftest.$ac_ext <<_ACEOF
3313/* end confdefs.h. */
3314#ifdef __STDC__
3315# include <limits.h>
3316#else
3317# include <assert.h>
3318#endif
3319 Syntax error
3320_ACEOF
3321if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3322 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3323 ac_status=$?
3324 grep -v '^ *+' conftest.er1 >conftest.err
3325 rm -f conftest.er1
3326 cat conftest.err >&5
3327 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3328 (exit $ac_status); } >/dev/null; then
3329 if test -s conftest.err; then
3330 ac_cpp_err=$ac_cxx_preproc_warn_flag
3331 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3332 else
3333 ac_cpp_err=
3334 fi
3335else
3336 ac_cpp_err=yes
3337fi
3338if test -z "$ac_cpp_err"; then
3339 :
3340else
3341 echo "$as_me: failed program was:" >&5
3342sed 's/^/| /' conftest.$ac_ext >&5
3343
3344 # Broken: fails on valid input.
3345continue
3346fi
3347rm -f conftest.err conftest.$ac_ext
3348
3349 # OK, works on sane cases. Now check whether non-existent headers
3350 # can be detected and how.
3351 cat >conftest.$ac_ext <<_ACEOF
3352/* confdefs.h. */
3353_ACEOF
3354cat confdefs.h >>conftest.$ac_ext
3355cat >>conftest.$ac_ext <<_ACEOF
3356/* end confdefs.h. */
3357#include <ac_nonexistent.h>
3358_ACEOF
3359if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3360 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3361 ac_status=$?
3362 grep -v '^ *+' conftest.er1 >conftest.err
3363 rm -f conftest.er1
3364 cat conftest.err >&5
3365 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3366 (exit $ac_status); } >/dev/null; then
3367 if test -s conftest.err; then
3368 ac_cpp_err=$ac_cxx_preproc_warn_flag
3369 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3370 else
3371 ac_cpp_err=
3372 fi
3373else
3374 ac_cpp_err=yes
3375fi
3376if test -z "$ac_cpp_err"; then
3377 # Broken: success on invalid input.
3378continue
3379else
3380 echo "$as_me: failed program was:" >&5
3381sed 's/^/| /' conftest.$ac_ext >&5
3382
3383 # Passes both tests.
3384ac_preproc_ok=:
3385break
3386fi
3387rm -f conftest.err conftest.$ac_ext
3388
3389done
3390# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3391rm -f conftest.err conftest.$ac_ext
3392if $ac_preproc_ok; then
3393 :
3394else
3395 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
3396See \`config.log' for more details." >&5
3397echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
3398See \`config.log' for more details." >&2;}
3399 { (exit 1); exit 1; }; }
3400fi
3401
3402ac_ext=cc
3403ac_cpp='$CXXCPP $CPPFLAGS'
3404ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3405ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3406ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3407 3056
3408 3057
3409echo "$as_me:$LINENO: checking for egrep" >&5 3058echo "$as_me:$LINENO: checking for egrep" >&5
3410echo $ECHO_N "checking for egrep... $ECHO_C" >&6 3059echo $ECHO_N "checking for egrep... $ECHO_C" >&6
3411if test "${ac_cv_prog_egrep+set}" = set; then 3060if test "${ac_cv_prog_egrep+set}" = set; then
3486 grep -v '^ *+' conftest.er1 >conftest.err 3135 grep -v '^ *+' conftest.er1 >conftest.err
3487 rm -f conftest.er1 3136 rm -f conftest.er1
3488 cat conftest.err >&5 3137 cat conftest.err >&5
3489 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3138 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3490 (exit $ac_status); } && 3139 (exit $ac_status); } &&
3491 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 3140 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3492 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3141 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3493 (eval $ac_try) 2>&5 3142 (eval $ac_try) 2>&5
3494 ac_status=$? 3143 ac_status=$?
3495 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3144 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3496 (exit $ac_status); }; } && 3145 (exit $ac_status); }; } &&
3540 grep -v '^ *+' conftest.er1 >conftest.err 3189 grep -v '^ *+' conftest.er1 >conftest.err
3541 rm -f conftest.er1 3190 rm -f conftest.er1
3542 cat conftest.err >&5 3191 cat conftest.err >&5
3543 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3192 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3544 (exit $ac_status); } && 3193 (exit $ac_status); } &&
3545 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 3194 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3546 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3195 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3547 (eval $ac_try) 2>&5 3196 (eval $ac_try) 2>&5
3548 ac_status=$? 3197 ac_status=$?
3549 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3198 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3550 (exit $ac_status); }; } && 3199 (exit $ac_status); }; } &&
3571echo "${ECHO_T}$ac_cv_search_strerror" >&6 3220echo "${ECHO_T}$ac_cv_search_strerror" >&6
3572if test "$ac_cv_search_strerror" != no; then 3221if test "$ac_cv_search_strerror" != no; then
3573 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3574 3223
3575fi 3224fi
3225
3226
3227ac_ext=c
3228ac_cpp='$CPP $CPPFLAGS'
3229ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3230ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3231ac_compiler_gnu=$ac_cv_c_compiler_gnu
3232
3233
3234LINKER="$CXX"
3235if test x$GCC = xyes && test x$GXX = xyes; then
3236 echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3237echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3238if test "${ac_cv_lib_supcpp_main+set}" = set; then
3239 echo $ECHO_N "(cached) $ECHO_C" >&6
3240else
3241 ac_check_lib_save_LIBS=$LIBS
3242LIBS="-lsupc++ $LIBS"
3243cat >conftest.$ac_ext <<_ACEOF
3244/* confdefs.h. */
3245_ACEOF
3246cat confdefs.h >>conftest.$ac_ext
3247cat >>conftest.$ac_ext <<_ACEOF
3248/* end confdefs.h. */
3249
3250
3251int
3252main ()
3253{
3254main ();
3255 ;
3256 return 0;
3257}
3258_ACEOF
3259rm -f conftest.$ac_objext conftest$ac_exeext
3260if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3261 (eval $ac_link) 2>conftest.er1
3262 ac_status=$?
3263 grep -v '^ *+' conftest.er1 >conftest.err
3264 rm -f conftest.er1
3265 cat conftest.err >&5
3266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3267 (exit $ac_status); } &&
3268 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3270 (eval $ac_try) 2>&5
3271 ac_status=$?
3272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3273 (exit $ac_status); }; } &&
3274 { ac_try='test -s conftest$ac_exeext'
3275 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3276 (eval $ac_try) 2>&5
3277 ac_status=$?
3278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3279 (exit $ac_status); }; }; then
3280 ac_cv_lib_supcpp_main=yes
3281else
3282 echo "$as_me: failed program was:" >&5
3283sed 's/^/| /' conftest.$ac_ext >&5
3284
3285ac_cv_lib_supcpp_main=no
3286fi
3287rm -f conftest.err conftest.$ac_objext \
3288 conftest$ac_exeext conftest.$ac_ext
3289LIBS=$ac_check_lib_save_LIBS
3290fi
3291echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3292echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3293if test $ac_cv_lib_supcpp_main = yes; then
3294
3295 LINKER="$CC"
3296 LIBS="$LIBS -lsupc++"
3297
3298fi
3299
3300fi
3301LINKER=$LINKER
3302
3303
3304ac_ext=cc
3305ac_cpp='$CXXCPP $CPPFLAGS'
3306ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3307ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3308ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3309
3310if test -z "$orig_CXXFLAGS"; then
3311 if test x$GCC = xyes && test "x$GXX" = xyes; then
3312 CXXFLAGS="-g -O3 -Os -fno-threadsafe-statics -fno-enforce-eh-specs"
3313
3314cat >conftest.$ac_ext <<_ACEOF
3315int i;
3316_ACEOF
3317rm -f conftest.$ac_objext
3318if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3319 (eval $ac_compile) 2>conftest.er1
3320 ac_status=$?
3321 grep -v '^ *+' conftest.er1 >conftest.err
3322 rm -f conftest.er1
3323 cat conftest.err >&5
3324 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3325 (exit $ac_status); } &&
3326 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3327 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3328 (eval $ac_try) 2>&5
3329 ac_status=$?
3330 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3331 (exit $ac_status); }; } &&
3332 { ac_try='test -s conftest.$ac_objext'
3333 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3334 (eval $ac_try) 2>&5
3335 ac_status=$?
3336 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3337 (exit $ac_status); }; }; then
3338 echo didididid
3339else
3340 echo "$as_me: failed program was:" >&5
3341sed 's/^/| /' conftest.$ac_ext >&5
3342
3343CXXFLAGS="-g -O3"
3344fi
3345rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3346 else
3347 CXXFLAGS="-O"
3348 fi
3349 CFLAGS="$CXXFLAGS"
3350fi
3351
3352
3353cat >>confdefs.h <<\_ACEOF
3354#define _GNU_SOURCE 1
3355_ACEOF
3356
3357
3358case $host in
3359 *-*-solaris* )
3360
3361cat >>confdefs.h <<\_ACEOF
3362#define _XOPEN_SOURCE_EXTENDED 1
3363_ACEOF
3364
3365
3366cat >>confdefs.h <<\_ACEOF
3367#define _XOPEN_SOURCE 2
3368_ACEOF
3369
3370
3371cat >>confdefs.h <<\_ACEOF
3372#define __EXTENSIONS__ 1
3373_ACEOF
3374
3375 ;;
3376esac
3576 3377
3577 3378
3578echo "$as_me:$LINENO: checking for setlocale" >&5 3379echo "$as_me:$LINENO: checking for setlocale" >&5
3579echo $ECHO_N "checking for setlocale... $ECHO_C" >&6 3380echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3580if test "${ac_cv_func_setlocale+set}" = set; then 3381if test "${ac_cv_func_setlocale+set}" = set; then
5110 echo "$as_me:$LINENO: result: no" >&5 4911 echo "$as_me:$LINENO: result: no" >&5
5111echo "${ECHO_T}no" >&6 4912echo "${ECHO_T}no" >&6
5112fi 4913fi
5113 4914
5114 4915
4916
4917
4918ac_ext=cc
4919ac_cpp='$CXXCPP $CPPFLAGS'
4920ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4921ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4922ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4923echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4924echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
4925if test -z "$CXXCPP"; then
4926 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4927 echo $ECHO_N "(cached) $ECHO_C" >&6
4928else
4929 # Double quotes because CXXCPP needs to be expanded
4930 for CXXCPP in "$CXX -E" "/lib/cpp"
4931 do
4932 ac_preproc_ok=false
4933for ac_cxx_preproc_warn_flag in '' yes
4934do
4935 # Use a header file that comes with gcc, so configuring glibc
4936 # with a fresh cross-compiler works.
4937 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4938 # <limits.h> exists even on freestanding compilers.
4939 # On the NeXT, cc -E runs the code through the compiler's parser,
4940 # not just through cpp. "Syntax error" is here to catch this case.
4941 cat >conftest.$ac_ext <<_ACEOF
4942/* confdefs.h. */
4943_ACEOF
4944cat confdefs.h >>conftest.$ac_ext
4945cat >>conftest.$ac_ext <<_ACEOF
4946/* end confdefs.h. */
4947#ifdef __STDC__
4948# include <limits.h>
4949#else
4950# include <assert.h>
4951#endif
4952 Syntax error
4953_ACEOF
4954if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4955 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4956 ac_status=$?
4957 grep -v '^ *+' conftest.er1 >conftest.err
4958 rm -f conftest.er1
4959 cat conftest.err >&5
4960 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4961 (exit $ac_status); } >/dev/null; then
4962 if test -s conftest.err; then
4963 ac_cpp_err=$ac_cxx_preproc_warn_flag
4964 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
4965 else
4966 ac_cpp_err=
4967 fi
4968else
4969 ac_cpp_err=yes
4970fi
4971if test -z "$ac_cpp_err"; then
4972 :
4973else
4974 echo "$as_me: failed program was:" >&5
4975sed 's/^/| /' conftest.$ac_ext >&5
4976
4977 # Broken: fails on valid input.
4978continue
4979fi
4980rm -f conftest.err conftest.$ac_ext
4981
4982 # OK, works on sane cases. Now check whether non-existent headers
4983 # can be detected and how.
4984 cat >conftest.$ac_ext <<_ACEOF
4985/* confdefs.h. */
4986_ACEOF
4987cat confdefs.h >>conftest.$ac_ext
4988cat >>conftest.$ac_ext <<_ACEOF
4989/* end confdefs.h. */
4990#include <ac_nonexistent.h>
4991_ACEOF
4992if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4993 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4994 ac_status=$?
4995 grep -v '^ *+' conftest.er1 >conftest.err
4996 rm -f conftest.er1
4997 cat conftest.err >&5
4998 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4999 (exit $ac_status); } >/dev/null; then
5000 if test -s conftest.err; then
5001 ac_cpp_err=$ac_cxx_preproc_warn_flag
5002 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5003 else
5004 ac_cpp_err=
5005 fi
5006else
5007 ac_cpp_err=yes
5008fi
5009if test -z "$ac_cpp_err"; then
5010 # Broken: success on invalid input.
5011continue
5012else
5013 echo "$as_me: failed program was:" >&5
5014sed 's/^/| /' conftest.$ac_ext >&5
5015
5016 # Passes both tests.
5017ac_preproc_ok=:
5018break
5019fi
5020rm -f conftest.err conftest.$ac_ext
5021
5022done
5023# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5024rm -f conftest.err conftest.$ac_ext
5025if $ac_preproc_ok; then
5026 break
5027fi
5028
5029 done
5030 ac_cv_prog_CXXCPP=$CXXCPP
5031
5032fi
5033 CXXCPP=$ac_cv_prog_CXXCPP
5034else
5035 ac_cv_prog_CXXCPP=$CXXCPP
5036fi
5037echo "$as_me:$LINENO: result: $CXXCPP" >&5
5038echo "${ECHO_T}$CXXCPP" >&6
5039ac_preproc_ok=false
5040for ac_cxx_preproc_warn_flag in '' yes
5041do
5042 # Use a header file that comes with gcc, so configuring glibc
5043 # with a fresh cross-compiler works.
5044 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5045 # <limits.h> exists even on freestanding compilers.
5046 # On the NeXT, cc -E runs the code through the compiler's parser,
5047 # not just through cpp. "Syntax error" is here to catch this case.
5048 cat >conftest.$ac_ext <<_ACEOF
5049/* confdefs.h. */
5050_ACEOF
5051cat confdefs.h >>conftest.$ac_ext
5052cat >>conftest.$ac_ext <<_ACEOF
5053/* end confdefs.h. */
5054#ifdef __STDC__
5055# include <limits.h>
5056#else
5057# include <assert.h>
5058#endif
5059 Syntax error
5060_ACEOF
5061if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5062 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5063 ac_status=$?
5064 grep -v '^ *+' conftest.er1 >conftest.err
5065 rm -f conftest.er1
5066 cat conftest.err >&5
5067 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5068 (exit $ac_status); } >/dev/null; then
5069 if test -s conftest.err; then
5070 ac_cpp_err=$ac_cxx_preproc_warn_flag
5071 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5072 else
5073 ac_cpp_err=
5074 fi
5075else
5076 ac_cpp_err=yes
5077fi
5078if test -z "$ac_cpp_err"; then
5079 :
5080else
5081 echo "$as_me: failed program was:" >&5
5082sed 's/^/| /' conftest.$ac_ext >&5
5083
5084 # Broken: fails on valid input.
5085continue
5086fi
5087rm -f conftest.err conftest.$ac_ext
5088
5089 # OK, works on sane cases. Now check whether non-existent headers
5090 # can be detected and how.
5091 cat >conftest.$ac_ext <<_ACEOF
5092/* confdefs.h. */
5093_ACEOF
5094cat confdefs.h >>conftest.$ac_ext
5095cat >>conftest.$ac_ext <<_ACEOF
5096/* end confdefs.h. */
5097#include <ac_nonexistent.h>
5098_ACEOF
5099if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5100 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5101 ac_status=$?
5102 grep -v '^ *+' conftest.er1 >conftest.err
5103 rm -f conftest.er1
5104 cat conftest.err >&5
5105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5106 (exit $ac_status); } >/dev/null; then
5107 if test -s conftest.err; then
5108 ac_cpp_err=$ac_cxx_preproc_warn_flag
5109 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5110 else
5111 ac_cpp_err=
5112 fi
5113else
5114 ac_cpp_err=yes
5115fi
5116if test -z "$ac_cpp_err"; then
5117 # Broken: success on invalid input.
5118continue
5119else
5120 echo "$as_me: failed program was:" >&5
5121sed 's/^/| /' conftest.$ac_ext >&5
5122
5123 # Passes both tests.
5124ac_preproc_ok=:
5125break
5126fi
5127rm -f conftest.err conftest.$ac_ext
5128
5129done
5130# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5131rm -f conftest.err conftest.$ac_ext
5132if $ac_preproc_ok; then
5133 :
5134else
5135 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5136See \`config.log' for more details." >&5
5137echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5138See \`config.log' for more details." >&2;}
5139 { (exit 1); exit 1; }; }
5140fi
5141
5142ac_ext=cc
5143ac_cpp='$CXXCPP $CPPFLAGS'
5144ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5145ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5146ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5115 5147
5116 5148
5117 5149
5118if test "x$ac_path_x_has_been_run" != xyes; then 5150if test "x$ac_path_x_has_been_run" != xyes; then
5119 echo "$as_me:$LINENO: checking for X" >&5 5151 echo "$as_me:$LINENO: checking for X" >&5
13546s,@ac_ct_CXX@,$ac_ct_CXX,;t t 13578s,@ac_ct_CXX@,$ac_ct_CXX,;t t
13547s,@CPP@,$CPP,;t t 13579s,@CPP@,$CPP,;t t
13548s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t 13580s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
13549s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t 13581s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
13550s,@INSTALL_DATA@,$INSTALL_DATA,;t t 13582s,@INSTALL_DATA@,$INSTALL_DATA,;t t
13583s,@EGREP@,$EGREP,;t t
13551s,@LINKER@,$LINKER,;t t 13584s,@LINKER@,$LINKER,;t t
13552s,@CXXCPP@,$CXXCPP,;t t
13553s,@EGREP@,$EGREP,;t t
13554s,@INSTALL_LIBRXVT@,$INSTALL_LIBRXVT,;t t 13585s,@INSTALL_LIBRXVT@,$INSTALL_LIBRXVT,;t t
13555s,@RXVTNAME@,$RXVTNAME,;t t 13586s,@RXVTNAME@,$RXVTNAME,;t t
13556s,@MV@,$MV,;t t 13587s,@MV@,$MV,;t t
13557s,@RM@,$RM,;t t 13588s,@RM@,$RM,;t t
13558s,@CP@,$CP,;t t 13589s,@CP@,$CP,;t t
13559s,@LN@,$LN,;t t 13590s,@LN@,$LN,;t t
13560s,@SED@,$SED,;t t 13591s,@SED@,$SED,;t t
13561s,@ECHO@,$ECHO,;t t 13592s,@ECHO@,$ECHO,;t t
13562s,@CMP@,$CMP,;t t 13593s,@CMP@,$CMP,;t t
13563s,@TIC@,$TIC,;t t 13594s,@TIC@,$TIC,;t t
13595s,@CXXCPP@,$CXXCPP,;t t
13564s,@X_CFLAGS@,$X_CFLAGS,;t t 13596s,@X_CFLAGS@,$X_CFLAGS,;t t
13565s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t 13597s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
13566s,@X_LIBS@,$X_LIBS,;t t 13598s,@X_LIBS@,$X_LIBS,;t t
13567s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t 13599s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
13568s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t 13600s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines